package net.wolfgamingdev.minecraftplatformer;

import java.awt.*;

public class Block extends Rectangle {
	private static final long serialVersionUID = 1L;
	
	public int[] id = {-1, -1};
	
	public Block(Rectangle size, int[] id) {
		setBounds(size);
		this.id = id;
	}
	
	public void render(Graphics g) {
		if(id != Tile.air) {
			g.drawImage(Tile.tileset_terrain, (int)x - (int)Component.sX, (int)y - (int)Component.sY, (int)x + width - (int)Component.sX, (int)y + height - (int)Component.sY, id[0] * Tile.tileSize - (int)Component.sX, id[1] * Tile.tileSize - (int)Component.sY, id[0] * Tile.tileSize + Tile.tileSize, id[1] * Tile.tileSize + Tile.tileSize, null);
		}
	}
	
}
