package net.wolfgamingdev.minecraftplatformer;

import java.awt.*;

public class Character extends DoubleRectangle {
	public double fallingSpeed = 1.3;
	
	public Character(int width, int height) {
		setBounds((Component.pixel.width/2) - (width / 2), (Component.pixel.height/2) - (height / 2), width, height);
	}
	
	public void tick() {
		y += fallingSpeed;
		Component.sY += fallingSpeed;
	}
	
	public void render(Graphics g) {
		g.drawImage(Tile.tileset_terrain, (int)x - (int)Component.sX, (int)y - (int)Component.sY, (int)(x + width) - (int)Component.sX, (int)(y + height) - (int)Component.sY, Tile.character[0] * Tile.tileSize, Tile.character[1] * Tile.tileSize, Tile.character[0] * Tile.tileSize + (int)width, Tile.character[1] * Tile.tileSize + (int)height, null);
	}
}
